Create a new message
curl --request POST \
--url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/messages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"conversationId": "<string>",
"messageBody": "<string>",
"enableExternalBroadcast": true,
"replyToMessageId": "b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234",
"mediaIds": [
"<string>"
]
}
'import requests
url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/messages"
payload = {
"conversationId": "<string>",
"messageBody": "<string>",
"enableExternalBroadcast": True,
"replyToMessageId": "b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234",
"mediaIds": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: '<string>',
messageBody: '<string>',
enableExternalBroadcast: true,
replyToMessageId: 'b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234',
mediaIds: ['<string>']
})
};
fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageId": "<string>",
"messagingProduct": "bridge"
}Messages API
Create a new message
Create a new message within a specified conversation.
POST
/
bridge
/
api
/
v1
/
workspaces
/
{workspaceId}
/
messages
Create a new message
Authorizations
Copy the API key as provided by the Bridge Console.
Path Parameters
Unique identifier of the workspace (UUID v4).
Example:
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Body
application/json
Request body for creating a new message within a specified conversation.
Identifier of the conversation.
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Body of the message.
Example:
"Hello, welcome to Bridge!"
Flag to enable external broadcast.
Examples:
true
false
Identifier of the message being replied to.
Example:
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
List of media IDs associated with the message.
Example:
["a1b2c3d4-e5f6-7g8h-9i0j-k1l2m3n4o5p6"]Was this page helpful?
⌘I